Should return a paginated list of job objects (using the infinite scroll fashion).

Supports sorting on the fields specified in the data model. Also supports doing a partial search on the job name field.

GET /batch/jobs

Operation id: BatchService_ListBatchJobs

Tags: BatchService

Parameters

Query parameters

NameTypeRequiredDescription
jobNamestringNoJob Name field used only for partial search. Required: true (when partial search set to true)
pageSizeinteger (int32)NoPage size of list items returned. Default: 10. Required: false
pageTokenstringNoAuto generated page token to view results in order beyond page size. Required: false
partialTextSearchbooleanNoBoolean value to search on jobName field by partial search. Required: false
sortFieldstringNoENUM defined in proto CREATION_TIME/JOB_NAME/IMPORT_TYPE Required: true - Indexed/Sortable
sortTypestringNoENUM defined in proto none defaults to descending order NONE/ASC/DEC Required: true - Indexed/Sortable
tenantIdstringNoWill use the tenantUtil to pull in from bearer token if not provided. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
jobsarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "jobs": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "jobName": {
            "type": "string"
          },
          "importType": {
            "type": "string",
            "description": "The type of data being imported.\n\n - LOCATIONS: The import file is forwarded directly to the zac-server locations API\nConstraints:\n  - template_name, deviation, and dry_run are all ignored.\n  - zac-server performs an upsert always, any errors in the file will fail the entire file",
            "enum": [
              "USERS",
              "ROLES",
              "WORKSPACES",
              "SITES",
              "DEPARTMENTS",
              "HIERARCHIES",
              "SITE_TEMPLATES",
              "PERMISSION_TEMPLATES",
              "GROUPS",
              "LOCATIONS"
            ],
            "default": "USERS"
          },
          "status": {
            "type": "string",
            "enum": [
              "UNKNOWN_STATUS",
              "PENDING",
              "IN_PROGRESS",
              "SUCCEEDED",
              "SUCCEEDED_WITH_ERRORS",
              "FAILED"
            ],
            "default": "UNKNOWN_STATUS"
          },
          "message": {
            "type": "string"
          },
          "startTime": {
            "type": "string",
            "format": "date-time"
          },
          "endTime": {
            "type": "string",
            "format": "date-time"
          },
          "fssId": {
            "type": "string"
          },
          "instanceId": {
            "type": "string"
          },
          "historicalJobs": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "createdBy": {
            "type": "string"
          },
          "created": {
            "type": "integer",
            "format": "int32"
          },
          "updated": {
            "type": "integer",
            "format": "int32"
          },
          "deleted": {
            "type": "integer",
            "format": "int32"
          },
          "emails": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}